
From: Chris Wright <chrisw@osdl.org>

I'd suggest the patch below to let the SECURITY_CAPABILITIES and
SECURITY_ROOTPLUG dependencies look a bit more simple.

Signed-off-by: Adrian Bunk <bunk@fs.tum.de>
Signed-off-by: Chris Wright <chrisw@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/security/Kconfig |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN security/Kconfig~small-simplification-for-two-security-dependencies security/Kconfig
--- 25/security/Kconfig~small-simplification-for-two-security-dependencies	2004-08-20 00:01:54.355413952 -0700
+++ 25-akpm/security/Kconfig	2004-08-20 00:01:54.358413496 -0700
@@ -55,14 +55,14 @@ config SECURITY_NETWORK
 
 config SECURITY_CAPABILITIES
 	tristate "Default Linux Capabilities"
-	depends on SECURITY!=n
+	depends on SECURITY
 	help
 	  This enables the "default" Linux capabilities functionality.
 	  If you are unsure how to answer this question, answer Y.
 
 config SECURITY_ROOTPLUG
 	tristate "Root Plug Support"
-	depends on USB && SECURITY!=n
+	depends on USB && SECURITY
 	help
 	  This is a sample LSM module that should only be used as such.
 	  It prevents any programs running with egid == 0 if a specific
_
